org.apache.felix.ipojo.manipulator.metadata.annotation.model.parser.replay

## Class AnnotationRecorder

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.model.parser.replay.AnnotationRecorder

All Implemented Interfaces:
  Replay

Direct Known Subclasses:
  AnnotationVisitorPlayback

    public class AnnotationRecorder
    extends org.objectweb.asm.AnnotationVisitor
    implements Replay

Record annotation to be replayed later.

### Field Summary

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`AnnotationRecorder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(org.objectweb.asm.AnnotationVisitor visitor)`
`void` `visit(String name, Object value)`
`org.objectweb.asm.AnnotationVisitor` `visitAnnotation(String name, String desc)`
`org.objectweb.asm.AnnotationVisitor` `visitArray(String name)`
`void` `visitEnd()`
`void` `visitEnum(String name, String desc, String value)`

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationRecorder

    public AnnotationRecorder()

### Method Detail

#### visit

    public void visit(String name,
                      Object value)

Overrides:
  `visit` in class `org.objectweb.asm.AnnotationVisitor`

#### visitEnum

    public void visitEnum(String name,
                          String desc,
                          String value)

Overrides:
  `visitEnum` in class `org.objectweb.asm.AnnotationVisitor`

#### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(String name,
                                                               String desc)

Overrides:
  `visitAnnotation` in class `org.objectweb.asm.AnnotationVisitor`

#### visitArray

    public org.objectweb.asm.AnnotationVisitor visitArray(String name)

Overrides:
  `visitArray` in class `org.objectweb.asm.AnnotationVisitor`

#### visitEnd

    public void visitEnd()

Overrides:
  `visitEnd` in class `org.objectweb.asm.AnnotationVisitor`

#### accept

    public void accept(org.objectweb.asm.AnnotationVisitor visitor)

Specified by:
  `accept` in interface `Replay`